summaryrefslogtreecommitdiff
path: root/sci-mathematics
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-23 18:55:58 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-23 18:55:58 -0500
commitcdcbdbc2768a2b227ed7d980ebcec51a492bd53f (patch)
tree3d2e7f33d50ce982cd8767ee5099f7c924d4eb49 /sci-mathematics
parent3ac897312b1982e0855eb4251695765d57976b18 (diff)
downloadbaldeagleos-repo-cdcbdbc2768a2b227ed7d980ebcec51a492bd53f.tar.gz
baldeagleos-repo-cdcbdbc2768a2b227ed7d980ebcec51a492bd53f.tar.xz
baldeagleos-repo-cdcbdbc2768a2b227ed7d980ebcec51a492bd53f.zip
Adding metadata
Diffstat (limited to 'sci-mathematics')
-rw-r--r--sci-mathematics/cudd/cudd-3.0.0-r3.ebuild (renamed from sci-mathematics/cudd/cudd-3.0.0-r2.ebuild)1
-rw-r--r--sci-mathematics/dsfmt/Manifest1
-rw-r--r--sci-mathematics/dsfmt/dsfmt-2.2.5.ebuild44
-rw-r--r--sci-mathematics/z3/z3-5.0.0.ebuild2
4 files changed, 47 insertions, 1 deletions
diff --git a/sci-mathematics/cudd/cudd-3.0.0-r2.ebuild b/sci-mathematics/cudd/cudd-3.0.0-r3.ebuild
index 345fe4d71409..65911d4254f3 100644
--- a/sci-mathematics/cudd/cudd-3.0.0-r2.ebuild
+++ b/sci-mathematics/cudd/cudd-3.0.0-r3.ebuild
@@ -14,6 +14,7 @@ KEYWORDS="~amd64 ~x86"
BDEPEND="
app-text/doxygen
dev-texlive/texlive-latex
+ dev-texlive/texlive-latexrecommended
media-gfx/graphviz
"
diff --git a/sci-mathematics/dsfmt/Manifest b/sci-mathematics/dsfmt/Manifest
index a3eb8fdb3270..3cb663be6910 100644
--- a/sci-mathematics/dsfmt/Manifest
+++ b/sci-mathematics/dsfmt/Manifest
@@ -1 +1,2 @@
DIST dsfmt-2.2.4.tar.gz 4984255 BLAKE2B 6119445d93cb45faab28dfb52a18c07cd5703b243b3cddde35fff7a5e948fa8788dfe8428ae8e0a52604f91ac07fe7b3bb0f6c438ef93b5257b42baee9dfdec5 SHA512 fe84e986cbf198172340adfac0436b08f087643eca3f1ceccacde146cbfd8c41e3eb0dfbb062f7ca5f462db13c386abd7c269bc0cbefc9a0ecf97a8a8870a2e4
+DIST dsfmt-2.2.5.tar.gz 4984272 BLAKE2B 75903d060c78972755ca3276d43dcef304f8a0e350c41ccb0850f8dbd0e131db92b0012195e49182808612f5b8978bbe189a1029d590c4b09b47539c636668ab SHA512 951e8669350f750b8915a819e704eae0a9b9c9518b3e3b9a1905f9ca0d25cc4c2486cb479e258a4a114e9c26ceb73a6c4e9f1cc02ed19173aeb8f20189754f6b
diff --git a/sci-mathematics/dsfmt/dsfmt-2.2.5.ebuild b/sci-mathematics/dsfmt/dsfmt-2.2.5.ebuild
new file mode 100644
index 000000000000..0100c1ae37af
--- /dev/null
+++ b/sci-mathematics/dsfmt/dsfmt-2.2.5.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MYPN=dSFMT
+MYP=${MYPN}-${PV}
+
+DESCRIPTION="Double precision SIMD-oriented Fast Mersenne Twister library"
+HOMEPAGE="http://www.math.sci.hiroshima-u.ac.jp/~m-mat/MT/SFMT"
+SRC_URI="https://github.com/MersenneTwister-Lab/dSFMT/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MYP}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.2.4-cc.patch
+)
+
+soname="lib${MYPN}.so"
+
+src_configure() {
+ tc-export CC
+}
+
+src_compile() {
+ emake CCFLAGS="${CFLAGS}"
+ $(tc-getCC) -fPIC -shared -DDSFMT_SHLIB -DDSFMT_DO_NOT_USE_OLD_NAMES ${LDFLAGS} \
+ ${CFLAGS} -Wl,-soname=${soname} -o ${soname} ${MYPN}.c || die
+}
+
+src_test() {
+ emake std-check
+}
+
+src_install() {
+ doheader dSFMT.c d*.h
+ dodoc README*txt CHANGE*
+ dolib.so ${soname}
+}
diff --git a/sci-mathematics/z3/z3-5.0.0.ebuild b/sci-mathematics/z3/z3-5.0.0.ebuild
index e28b69e8ca72..45ba6ec7ac45 100644
--- a/sci-mathematics/z3/z3-5.0.0.ebuild
+++ b/sci-mathematics/z3/z3-5.0.0.ebuild
@@ -14,7 +14,7 @@ S=${WORKDIR}/z3-${P}
LICENSE="MIT"
SLOT="0/$(ver_cut 1-2)"
-KEYWORDS="amd64 ~arm ~arm64 ~loong ~mips ~ppc ppc64 ~riscv ~sparc x86"
+KEYWORDS="amd64 arm arm64 ~loong ~mips ~ppc ppc64 ~riscv ~sparc x86"
IUSE="doc examples gmp isabelle java python"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"